Bug 62924 - up2date-2.7.61-7.x.2.i386.rpm and rpm-python-4.0.3-1.03.i386.rpm out of sync?-
up2date-2.7.61-7.x.2.i386.rpm and rpm-python-4.0.3-1.03.i386.rpm out of sync?-
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-07 16:46 EDT by Need Real Name
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-14 10:38:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-07 16:46:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i586)

Description of problem:
up2date-2.7.61-7.x.2.i386.rpm requires poptmodule.so, which is provided by
rpm-python-4.0.3-1.03.i386.rpm.  However, when installing the latest version
rpm-python-4.0.4-7x.i386.rpm, it doesnt include poptmodule.so.  I forced the
install, and now up2date doesnt work with the following error:
Traceback (innermost last):
  File "/usr/sbin/up2date", line 16, in ?
    from up2date_client import clap
  File "/usr/share/rhn/up2date_client/clap.py", line 12, in ?
    popt = __import__("up2datepopt")
ImportError: No module named up2datepopt

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.installup2date-2.7.61-7.x.2.i386.rpm 
2.install rpm-python-4.0.4-7x.i386.rpm
3.run up2date
	

Actual Results:  Traceback (innermost last):
  File "/usr/sbin/up2date", line 16, in ?
    from up2date_client import clap
  File "/usr/share/rhn/up2date_client/clap.py", line 12, in ?
    popt = __import__("up2datepopt")
ImportError: No module named up2datepopt

Expected Results:  up2date works

Additional info:
Comment 1 Adrian Likins 2002-04-09 17:11:38 EDT
missing dep on python-popt for python-clap,
fixed in more recent versions
Comment 2 Jay Turner 2003-02-14 10:38:36 EST
Fix confirmed with latest code.

Note You need to log in before you can comment on or make changes to this bug.